DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# NotEqual

Compare grey values in two images

## SYNOPSIS

dip_Error dip_NotEqual ( in1, in2, out )

## DATA TYPES

binary, integer, float

## FUNCTION

This function sets each pixel in `out` to "true" when corresponding pixels in `in1` and `in2` are different. This is the same as `Compare` with the `DIP_SELECT_NOT_EQUAL` selector flag.

`in2` can be a 0D image for comparison of pixel values with a single scalar value. This leads to the functionality of `NotZero`, but with more options.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First input
`dip_Image` | `in2` | Second input
`dip_Image` | `out` | Output

## SEE ALSO

`Compare`, `Threshold`, `Equal`, `Greater`, `Lesser`, `NotGreater`, `NotLesser`, `SelectValue`, `NotZero`